MOUNT_NWFS(8)

NAME
mount_nwfs - mount NetWare volume from a NetWare file server

SYNOPSIS
mount_nwfs [-Chv] -S server -U user [-connection options] -V volume [-M mode] [-c case] [-d mode] [-f mode] [-g gid] [-l locale] [-n os2] [-u uid] [-w scheme] node
mount_nwfs [-options] /server:user/volume[/path] node

DESCRIPTION
The mount_nwfs command allows to mount volume from a NetWare server. It may use either existing connection or create new: if no usable connection was found it will try to establish a new one. Connection has count of references to it, so when last mount will be dismounted connection will be closed. It is possible to create connection without any mounts (but use it for them) with ncplogin(1).

Note two forms of command line. In the first form, server and user specified via -S and -U options respectively. In the second form server and user specified in special part of mount(8) command line arguments (the -S, -U and -V options aren't used in this case). This allows use of fstab(5) file (see EXAMPLES below).

The options are:

-S server
    Name of NetWare server to connect. For native IP you will need also -A option.

-U user
    Name of user used in login sequence.

-[connection options]
    See ncplogin(1) for details.

-V volume
    Volume name to mount. Volume name can also be specified after all options and before mount-point.

node
    Path to mount volume.

-c case
    Select a case option which affects on name representation. Case can be one of the following:

    Value
        Meaning

    l   All existing file names converted to lower case. Newly created file gets a lower case under OS2 name space. This is the default when mounting volumes with DOS name space.

    L   Same as 'l' but file system tries to be case insensitive. May not work well.

    n   No case conversion is performed. Warning! Use this option with DOS name space only as a last resort, because creating a lower case name in the DOS name space can lead to unpredictable results. This is the default when mounting volumes with OS2 name space.

    u   All existing file names converted to upper case. Newly created file gets an upper case under OS2 name space.

    U   Same as 'u' but file system tries to be case insensitive. May not work well.

-f mode, -d mode
    Specify permissions that should be assigned to files and directories. The values must be specified as octal numbers. Default value for the file mode is taken from mount point, default value for the dir mode adds execute permission where the file mode gives read permission. Note that these permissions can differ from the rights granted by NetWare server.

-n namespace
    Don't use namespace. Currently only OS2 can be here.

-v  Print version number.

-u uid, -g gid
    User id and group id assigned to files. The default is owner and group id from directory where volume is mounted.

-l locale
    Set the locale for case conversion. By default mount_nwfs tries to use an environment variable LC_*.

-w scheme
    Select a scheme used to convert file names between NetWare and FreeBSD. Currently only koi2cp866 and asis can be here. Please note, that scheme should be enabled at compile time in config.mk file.

-M mode
    See ncplogin(1) for details. If this option is omitted, connection permissions assumed the same as directory mode (-d) option.

FILES
~/.nwfsrc
    keeps static parameters for connections and other information. See /usr/share/examples/nwclient/dot.nwfsrc for details.

NOTES
Before any NCP connection can be established kernel must be configured for IPX support, IPXrouted and KLD nwfs.ko should be loaded.

EXAMPLES
Next examples illustrates how to connect to NetWare server nwserv as user GUEST and mount volumes SYS and VOL1:

    mount_nwfs -S nwserv -U guest -V sys /nw/s1/sys
    mount_nwfs /nwserv:guest/sys /nw/s1/sys
    mount -t nwfs /nwserv:guest/vol1 /nw/s1/vol1
    mount -t nwfs /nwserv:boris/sys/home/boris /home/boris/nw/home

The last example mounts only subdirectory on a volume and equivalent to NetWare 'map root' command.

It is possible to use fstab(5) for nwfs mounts:

    /nwserv:guest/sys       /nw/s1/sys     nwfs  rw,noauto 0   0
    /nwserv:guest/vol1      /nw/s1/vol2    nwfs  rw,noauto 0   0

BUGS
to number a few

CREDITS
In development of NetWare client for FreeBSD, the following sources were used:

Documentation from NetWare NDK.

Ncpfs for Linux - written by Volker Lendecke <lendecke@math.uni-goettingen.de>. He granted me permission to publish parts of his code under BSD-style license,

"Interrupt List" from Ralf Brown,

Many files from /sys directory.

AUTHORS
Boris Popov <bp@butya.kz>, <rbp@chat.ru>